summaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2017-12-27 12:25:50 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-27 22:11:29 +0000
commit66595488f0abfd0e078e93f61a5e209c848129c4 (patch)
tree3a6d1af53b7d77902fb64ac8811a224791bb14ff /coin/provisioning
parent28bf922739591ea47800fae36a77e17f4f3ec7ae (diff)
Add set -ex to provisioning scripts for Ubuntu-16.04
Change-Id: Icc4b58080875255d8c2efe3e5db2c05e18127606 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning')
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/001-systemsetup.sh3
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/004-yocto.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/030-fbx.sh2
4 files changed, 8 insertions, 1 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/001-systemsetup.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/001-systemsetup.sh
index 2498e441..c9484698 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/001-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/001-systemsetup.sh
@@ -36,6 +36,9 @@
# This script modifies system settings for automated use
# shellcheck source=../common/try_catch.sh
+
+set -ex
+
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
NTS_IP=10.212.2.216
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh
index 980da2ca..7c332aed 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh
@@ -35,6 +35,8 @@
# Install required packages with APT
+set -ex
+
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
ExceptionAPTUpdate=100
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/004-yocto.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/004-yocto.sh
index 050f4aba..1382b279 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/004-yocto.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/004-yocto.sh
@@ -35,7 +35,7 @@
# This script installs the Yocto toolchain
-set -e
+set -ex
source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/030-fbx.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/030-fbx.sh
index 7c5fadcb..b121d604 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/030-fbx.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/030-fbx.sh
@@ -1,4 +1,6 @@
#!/bin/bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/fbx_linux.sh